Subject: bug#16697: 24.3.50; ERC scrolltobottom module does not work anymore

From: Ivan Kanis <[email-masked]>
Date: Tue, 11 Feb 2014 18:14:41 +0100

February, 11 at 18:37 Eli wrote:

>> From: Ivan Kanis <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 11 Feb 2014 10:18:32 +0100
>> 
>> I have set scroll-conservatively to 101. Unfortunately I see ERC buffer
>> still recenters for some reason.
>
>>>From "emacs -Q"?

No it wasn't. It was going back and forth between other buffers and the
ERC buffer.

> If so, please show a complete recipe, because I
> cannot reproduce this.  (Of course, you can only have the last line at
> the bottom of the window once you have enough stuff in the buffer to
> fill the window, but I assume you have accounted for that.)

Of course I account for enough line :)

>> February, 11 at 5:51 Eli wrote:
>> 
>> >> When I type RET at the prompt I get an error message saying I can't send
>> >> an empty line. It errors "Blank line - ignoring" in the echo area.
>> >> However the display does not scroll up for me.
>> >
>> > No, I meant if the last line is not at the bottom of the window,
>> > typing just RET will scroll it to the bottom, because the
>> > post-command-hook will kick in.
>> >
>> > So I guess this feature expects an improvement that would put the last
>> > line at the bottom even if no command was invoked by the user.
>> 
>> It does not do that for me. I just get the error, the ERC prompt stays
>> in the middle.
>
> Again, is that in "emacs -Q"?  If not, please try "emacs -Q".  Here's
> what I did:
>
>   emacs -Q
>   M-: (setq erc-modules '(scrolltobottom)) RET
>   M-x erc RET RET RET RET RET
>
> Then I wait for enough stuff to arrive that Emacs recenters, and hit
> RET one more time.  At this point, the last line is scrolled to the
> bottom of the window.

I see it now. It worked without hitting RET before which would be ideal.

Ivan
-- 
A little detective work revealed that, as is usually the case when you
encounter something shoddy in the vicinity of a computer, Microsoft
incompetence and gratuitous incompatibility were to blame.
    -- John Walker